{% extends "base_homes.html" %}

{% block article %}

    {% if login %}

        <div class="alert alert-success" role="alert"><strong><em>Want to Write an Article ? Click <a href="{% url 'new_article' %}">Here</a></em></strong></div>

    {% endif %}
    
    <!-- First Blog Post -->

    {% if articles %}

        {% for article in articles %}

        <ul class="list-group">

            {% if session_name == 'admin' %}
                {% if article.pinned %}
                    <li class="list-group-item text-muted"> <p style="color: red"><b><a href="{% url 'unpin_post' article.id %}">Unpin</a> | <a href="{% url 'delete_article' article.id %}">Delete</a></b></p> </li>

                {% else %}
                    <li class="list-group-item text-muted"> <p style="color: red"><b><a href="{% url 'pin_post' article.id %}">pin</a> | <a href="{% url 'delete_article' article.id %}">Delete</a></b></p> </li>

                {% endif %}

            {% elif session_name  == article.writer %}
                {% if article.pinned %}
                    <li class="list-group-item text-muted"> <p style="color: red"><b>Pinned | <a href="{% url 'delete_article' article.id %}">Delete</a> | <a href="{% url 'edit_article' article.id %}">Edit</a></b></p> </li>

                {% else %}
                    <li class="list-group-item text-muted"> <p style="color: red"><b><a href="{% url 'delete_article' article.id %}">Delete</a> | <a href="{% url 'edit_article' article.id %}">Edit</a></b></p> </li>

                {% endif %}

            {% else %}
                {% if article.pinned %}
                    <li class="list-group-item text-muted"> <p style="color: red"><b>Pinned Article</b></p> </li>

                {% endif %}

            {% endif %}

                <li class="list-group-item text-muted"> <h2><a href="{% url 'article' article.id %}">{{ article.title }}</a></h2> </li>

                <li class="list-group-item text-muted"> <em>by <a href="{% url 'profile' article.writer %}">{{ article.writer}}</a></em> </li>

                <li class="list-group-item text-muted"> <span class="pull-right"> {{ article.created }} </span>Category : <a href="{% url 'tag' article.category %}">{{ article.category}}</a> </li>

                {% if article.image %}
                    <li class="list-group-item text-muted"> <p align="center"><img class="img-responsive img-rounded" src="{{ article.image.url }}" style="width: 640px; height: 360px; box-shadow: 0px 10px 5px #888888;" alt=""></p> </li>
                {% endif %}

                <li class="list-group-item text-muted"> <br /><article>{{ article.body|safe }}</article><br /> </li>

        </ul>

        {% endfor %}

        <!-- Blog Comments -->

        {% if login %}

            <!-- Comments Form -->
            <div class="panel panel-default">
                <div class="panel-body">
                <h4><strong><em>Leave a Comment :</em></strong></h4>
                <form method="POST" action="{% url 'article' post_id %}/" role="form" > {% csrf_token %}

                    <div class="form-group">
                        <textarea class="form-control" id="id_comment" maxlength="1200" name="comment" rows="3"></textarea>
                    </div>

                    <input type="hidden" id="id_commentor" maxlength="120" name="commentor" value="{{ session_name }}" />
                    <input  type="hidden" id="id_post_id" name="post_id" value="{{ post_id }}" />

                    <button type="submit" class="btn btn-info btn-lg active">Submit</button>
                </form>
                </div>
            </div>
            <!-- CK Editor -->
            <script src="//cdn.ckeditor.com/4.4.7/basic/ckeditor.js"></script>
            <script type="text/javascript">
                CKEDITOR.replace( 'id_comment' );
            </script>

        {% else %}

            <div class="alert alert-danger" role="alert"><strong><em>You Need to Login to Comment on this Article.</em></strong></a></div>

        {% endif %}

        <!-- Posted Comments -->

        <div class="well" id="comments">

            {% if comments %}
                        
                {% for comment in comments %}

                    <ul class="list-group">

                        <li class="list-group-item text-right"><span class="pull-left"><strong>{{ comment.commentor}}</strong></span>{{ comment.created }}</li>

                        <li class="list-group-item text-muted"><em>{{ comment.comment|safe }}</em></li>
                        
                    </ul>

                {% endfor %}

            {% else %}

                <h4 align="center"><em><b>No Comments Yet .... </b></em></h4>

            {% endif %}

        </div>


    {% else %}

        <h3 style="color: red; padding-top:30px" align="center"><strong><em>Sorry, We couldn't find the article.</em></strong></h3>

    {% endif %}

{% endblock article%}